Skip to main content
PATCH
/
v2
/
integrations
/
connections
/
{connection_id}
Update a Connection
curl --request PATCH \
  --url https://api.example.com/v2/integrations/connections/{connection_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider_name": "<string>",
  "name": "<string>",
  "company": "<string>",
  "environment": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "is_authentication_pending": true,
  "is_running_setup": true,
  "is_sync_disabled": true,
  "health": {
    "authentication_required": true,
    "message": "<string>",
    "healthy": true,
    "status_code": "healthy",
    "suggested_resolution": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "models": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "is_read_enabled": true,
      "is_write_enabled": true,
      "is_custom_object": true,
      "is_file_upload_enabled": true,
      "is_webhooks_setup": true,
      "next_sync_at": "2023-11-07T05:31:56Z",
      "connection_id": "<string>",
      "last_sync": {
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "status": "scheduled",
        "attempt": 123,
        "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "completed_at": "2023-11-07T05:31:56Z",
        "entity_id": "<string>",
        "error": "<string>",
        "file_id": "<string>",
        "is_initial_sync": true,
        "is_one_off": true,
        "model_id": "<string>",
        "pagination_state": {},
        "started_at": "2023-11-07T05:31:56Z",
        "timerange_end": "2023-11-07T05:31:56Z",
        "timerange_start": "2023-11-07T05:31:56Z",
        "object": "<string>"
      },
      "object": "<string>",
      "display_name": "<string>",
      "is_read_supported": true,
      "is_write_supported": true,
      "is_sync_supported": true
    }
  ],
  "next_sync_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "owner_id": "<string>",
  "requires_setup": true,
  "provider_name": "<string>",
  "api_url": "<string>",
  "company": "<string>",
  "company_name": "<string>",
  "environment": "<string>",
  "include_dimension_lines": true,
  "is_bc_extension_installed": true,
  "is_on_premise": true,
  "tenant_id": "<string>",
  "object": "<string>",
  "authorization_url": "<string>",
  "provider": {
    "name": "bill",
    "categories": [
      "accounting"
    ],
    "display_name": "<string>",
    "is_api_connection": true,
    "is_webhooks_supported": true,
    "auth_type": "api_key",
    "color": "<string>",
    "connection_guide_url": "<string>",
    "connection_instructions": [
      "<string>"
    ],
    "documentation_url": "<string>",
    "description": "<string>",
    "is_enabled": true,
    "is_manual_sync_supported": true,
    "logo": "<string>",
    "logo_square": "<string>",
    "required_settings": [
      "<string>"
    ],
    "short_description": "<string>",
    "website": "<string>"
  },
  "is_configured": true,
  "missing_settings": [
    "<string>"
  ],
  "is_healthy": true,
  "linked_integration_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

Body

application/json

Update schema for MS Dynamics BC connections.

provider_name
string
required
Allowed value: "ms-dynamics-bc"
name
string | null

User defined name of the linked integration.

company
string

The company id associated with the Business Central connection. This is used to identify the specific company within the Business Central environment.

environment
string

The name of the Business Central environment this connection is using.

Response

Successful Response

Microsoft Dynamics Business Central integration connection.

created_at
string<date-time>
required
modified_at
string<date-time> | null
required
id
string
required
is_authentication_pending
boolean
required

Whether this connection is still pending authentication. This is normally only used for oauth2 connections.

is_running_setup
boolean
required
is_sync_disabled
boolean
required

Whether sync tasks are disabled. The intent of this column is to temporarily pause sync tasks for maintenance/deploys/etc.

health
IntegrationConnectionHealth · object
required
models
IntegrationConnectionModel · object[]
required

List of unified models synced through this connection

next_sync_at
string<date-time> | null
required

When the next sync is scheduled to run.

name
string | null
required

User defined name of the linked integration.

owner_id
string | null
required
requires_setup
boolean
required
provider_name
string
required
Allowed value: "ms-dynamics-bc"
api_url
string | null
required

The base URL for the Business Central API. Only used for on premise instances.

company
string | null
required

The company id associated with the Business Central connection. This is used to identify the specific company within the Business Central environment.

company_name
string | null
required

The company name associated with the Business Central connection.

environment
string | null
required

The name of the Business Central environment this connection is using.

include_dimension_lines
boolean
required

Whether querying dimension lines is supported.

is_bc_extension_installed
boolean
required

Whether the Stuut Business Central extension has been installed.

is_on_premise
boolean
required

Whether the MS Dynamics BC instance is on-premise or cloud-based.

tenant_id
string | null
required

The tenant ID associated with the MS Dynamics BC connection.

object
string
required

String representing the object's type. Objects of the same type share the same value.

authorization_url
string | null
required

The authorization url for this connection.

provider
object
required

The integration provider for this connection.

is_configured
boolean
required

Whether the integration connection is configured.

missing_settings
string[]
required

List of missing settings.

is_healthy
boolean
required

Whether the integration connection is healthy. This is determined based on a few checks:

  1. Configuration (e.g. settings)
  2. Connection
  3. Permissions
linked_integration_id
string | null
required

The v1 linked integration id.